Loading...
Searching...
No Matches
treeWidth.h File Reference
`#include <BALL/COMMON/global.h>`
`#include <BALL/COMMON/exception.h>`
`#include <BALL/CONCEPT/baseFunctor.h>`
`#include <BALL/DATATYPE/GRAPH/graphAlgorithms.h>`
`#include <BALL/DATATYPE/GRAPH/molecularGraph.h>`
`#include <algorithm>`
`#include <functional>`
`#include <map>`
`#include <set>`
`#include <vector>`
`#include <iostream>`
`#include <boost/graph/connected_components.hpp>`
`#include <boost/graph/filtered_graph.hpp>`
`#include <boost/graph/graph_as_tree.hpp>`
`#include <boost/graph/graphviz.hpp>`
`#include <boost/graph/copy.hpp>`
`#include <BALL/DATATYPE/GRAPH/treeWidth.iC>`

Go to the source code of this file.

## Classes

class | BALL::TreeWidth< UndirectedGraph >
class | BALL::TreeWidth< UndirectedGraph >::ComponentFilter_< ComponentMap >
class | BALL::TreeWidth< UndirectedGraph >::BagContentWriter
class | BALL::TreeWidthImplementation< UndirectedGraph >
class | BALL::TreeWidthImplementation< UndirectedGraph >::GeneralLowerBoundAlgorithm< Criterion, Reducer >
| Generic lower bound algorithm on graphs. More...
class | BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthReducer
class | BALL::TreeWidthImplementation< UndirectedGraph >::MinorMinWidthCriterion
class | BALL::TreeWidthImplementation< UndirectedGraph >::GreedyX< Criterion >
struct | BALL::TreeWidthImplementation< UndirectedGraph >::FillInHeuristic
class | BALL::TreeWidthImplementation< UndirectedGraph >::QuickBB< Lowerbound, Upperbound >
struct | BALL::TreeWidthImplementation< UndirectedGraph >::QuickBB< Lowerbound, Upperbound >::QuickBBState
class | BALL::TreeWidthImplementation< UndirectedGraph >::TreeDecompositionBuilder< OriginalGraphType >

## Namespaces

namespace | boost
namespace | BALL

## Enumerations

enum | boost::vertex_bag_content_t { boost::vertex_bag_content }
enum | boost::vertex_bag_special_t { boost::vertex_bag_special }
enum | boost::vertex_bag_type_t { boost::vertex_bag_type }

## Functions

| boost::BOOST_INSTALL_PROPERTY (vertex, bag_content)
| boost::BOOST_INSTALL_PROPERTY (vertex, bag_special)
| boost::BOOST_INSTALL_PROPERTY (vertex, bag_type)